# $Revision: 1.37 $, $Date: 2004/08/08 19:31:28 $
#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define	pdir	Proc
%define	pnam	Simple
Summary:	Proc::Simple Perl module - launch and control background processes
Summary(pl):	Modu Perla Proc::Simple - uruchamianie i sterowanie procesami w tle
Name:		perl-Proc-Simple
Version:	1.21
Release:	1
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	79e1dfbd0facf75b32d06c52caf2faeb
Patch0:		%{name}-paths.patch
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Proc::Simple is the module to launch and control background processes.
It provides objects mimicing real-life processes from a user's point
of view.

%description -l pl
Proc::Simple to modu umoliwiajcy uruchamianie i kontrolowanie
procesw w tle. Dostarcza obiekty naladujce prawdziwe procesy z
punktu widzenia uytkownika.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}
%patch -p0

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT
cp -f eg/* $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README
%{perl_vendorlib}/Proc/Simple.pm
%dir %{perl_vendorlib}/auto/Proc
%dir %{perl_vendorlib}/auto/Proc/Simple
%{perl_vendorlib}/auto/Proc/Simple/autosplit.ix
%{_mandir}/man3/*
%dir %{_examplesdir}/%{name}-%{version}
%attr(755,root,root) %{_examplesdir}/%{name}-%{version}/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-Proc-Simple.spec,v $
Revision 1.37  2004/08/08 19:31:28  adamg
- updated to 1.21

Revision 1.36  2004/06/05 18:10:46  radek
- cosmetic unification: s/^%define\s+(pdir|pnam)\s+/%define\t$1\t/

Revision 1.35  2004/05/07 01:24:55  ankry
- rel. 8

Revision 1.34  2004/05/06 18:43:20  ankry
- fixed perl-devel BR

Revision 1.33  2004/05/06 05:46:54  ankry
- license fix, cosmetics

Revision 1.32  2003/11/02 19:53:20  qboosh
- added tests and informative summaries

Revision 1.31  2003/09/09 10:24:46  ankry
- spaces -> tab

Revision 1.30  2003/08/18 08:09:09  gotar
- mass commit: cosmetics (removed trailing white spaces)

Revision 1.29  2003/05/28 13:00:58  malekith
- massive attack: source-md5

Revision 1.28  2003/05/25 06:24:55  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.27  2003/04/11 18:59:26  radek
- BR: perl-devel; do not BR: perl

Revision 1.26  2003/03/01 20:22:32  radek
- should be ready for perl-5.8.0; release++

Revision 1.25  2003/02/25 00:41:04  radek
- use the __perl macro

Revision 1.24  2003/02/18 15:37:49  ankry
- massive attack: change CPAN URLs

Revision 1.23  2002/07/27 21:39:30  ankry
- autosplit.ix (and necessary dirs) is back
- release 6

Revision 1.22  2002/07/18 13:44:30  ankry
- translations, cleaning
- new %%doc
- examples moved to %%{_examplesdir}
- removed autosplit.ix
- release 5

Revision 1.21  2002/07/10 08:48:31  depesz
- applied changes using automat supplied by Radoslaw Zielinski

Revision 1.20  2002/05/11 14:28:11  kloczek
- s/ftp.perl.org/ftp.cpan.org/ in Source url.

Revision 1.19  2002/02/25 10:34:05  depesz
cleanup; revision++

Revision 1.18  2002/02/22 23:29:31  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.17  2002/02/13 14:19:42  depesz
automatic: Source location unified, Relase Up

Revision 1.16  2002/02/10 15:32:57  depesz
adapterized

Revision 1.15  2002/01/18 02:14:25  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.14  2001/11/28 15:20:22  mis
- buildarch noarch; release++

Revision 1.13  2001/07/25 09:13:40  mis
- autoupdated to 1.19

Revision 1.12  2001/04/17 12:14:40  baggins
- release 2
- rebuild with perl 5.6.1

Revision 1.11  2001/04/14 18:00:09  baggins
- removed explicit requirements for perl = %%{version} and %%{perl_sitearch}
  they will be added by rpm if needed

Revision 1.10  2001/02/19 14:32:55  mis
- updated (by autoup) to 1.18

Revision 1.9  2001/01/23 15:35:56  kloczek
- release 2: rebuild against perl 5.6 and use rpm automation.

Revision 1.8  2000/06/09 07:54:56  kloczek
- more %%{__make} macros.

Revision 1.7  2000/06/09 07:23:41  kloczek
- added using %%{__make} macro.

Revision 1.6  2000/05/21 20:20:01  kloczek
- spec adapterized.

Revision 1.5  2000/04/01 11:15:26  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.4  2000/03/28 16:54:58  baggins
- translated kloczkish into english

Revision 1.3  2000/02/18 01:35:07  pius
- updated to 1.14

Revision 1.2  1999/11/07 09:18:46  pius
- added '%%include /usr/lib/rpm/macros.perl'
- modified BuildRequires rules

Revision 1.1  1999/10/20 19:46:46  pius
- initial release
